import { declare } from '@babel/helper-plugin-utils';

var index = declare(api => {
  api.assertVersion(7);
  const regex = /(\\*)([\u2028\u2029])/g;
  function replace(match, escapes, separator) {
    const isEscaped = escapes.length % 2 === 1;
    if (isEscaped) return match;
    return `${escapes}\\u${separator.charCodeAt(0).toString(16)}`;
  }
  return {
    name: "transform-json-strings",
    inherits: undefined,
    visitor: {
      "DirectiveLiteral|StringLiteral"({
        node
      }) {
        const {
          extra
        } = node;
        if (!extra?.raw) return;
        extra.raw = extra.raw.replace(regex, replace);
      }
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
